
CREATE VIEW CONSUMOS_COMEDOR_SJ AS 

SELECT
	M.ID_EMPRESA, M.ID_MENU, M.CODIGO, M.DESCRIPCION DESC_MENU, M.HORA_DESDE, M.HORA_HASTA,
	CP.ID_CONSUMO, CM.CANTIDAD, CP.ID_PERSONA, CP.ID_RELOJ, CP.FECHA,
	P.NOMBRE, P.APELLIDO, P.TARJETA, P.TARJETA_ZK, P.LEGAJO,
	P.NUMERO_DOCUMENTO, TP.DESCRIPCION DESC_TIPO_PERSONA, 
	
	(SELECT G.DESCRIPCION FROM AGRUPACION A 
	INNER JOIN GRUPO G ON (G.ID_AGRUPACION = A.ID_AGRUPACION AND G.FECHA_BAJA IS NULL)
	INNER JOIN REL_GRUPO_PERSONA RGP ON (RGP.ID_GRUPO = G.ID_GRUPO AND RGP.ID_PERSONA = P.ID_PERSONA)
	WHERE A.FECHA_BAJA IS NULL AND A.ID_EMPRESA = P.ID_EMPRESA AND A.ID_AGRUPACION = 1) GRUPO1, 

	(SELECT G.DESCRIPCION FROM AGRUPACION A 
	INNER JOIN GRUPO G ON (G.ID_AGRUPACION = A.ID_AGRUPACION AND G.FECHA_BAJA IS NULL)
	INNER JOIN REL_GRUPO_PERSONA RGP ON (RGP.ID_GRUPO = G.ID_GRUPO AND RGP.ID_PERSONA = P.ID_PERSONA)
	WHERE A.FECHA_BAJA IS NULL AND A.ID_EMPRESA = P.ID_EMPRESA AND A.ID_AGRUPACION = 2) GRUPO2, 
	
	(SELECT G.DESCRIPCION FROM AGRUPACION A 
	INNER JOIN GRUPO G ON (G.ID_AGRUPACION = A.ID_AGRUPACION AND G.FECHA_BAJA IS NULL)
	INNER JOIN REL_GRUPO_PERSONA RGP ON (RGP.ID_GRUPO = G.ID_GRUPO AND RGP.ID_PERSONA = P.ID_PERSONA)
	WHERE A.FECHA_BAJA IS NULL AND A.ID_EMPRESA = P.ID_EMPRESA AND A.ID_AGRUPACION = 3) GRUPO3, 
	
	(SELECT G.DESCRIPCION FROM AGRUPACION A 
	INNER JOIN GRUPO G ON (G.ID_AGRUPACION = A.ID_AGRUPACION AND G.FECHA_BAJA IS NULL)
	INNER JOIN REL_GRUPO_PERSONA RGP ON (RGP.ID_GRUPO = G.ID_GRUPO AND RGP.ID_PERSONA = P.ID_PERSONA)
	WHERE A.FECHA_BAJA IS NULL AND A.ID_EMPRESA = P.ID_EMPRESA AND A.ID_AGRUPACION = 4) GRUPO4
	
FROM
	CONSUMO_PERSONA CP
	INNER JOIN CONSUMO_MENU CM ON (CM.ID_CONSUMO = CP.ID_CONSUMO) 
	INNER JOIN MENU M ON (M.ID_MENU = CM.ID_MENU AND M.FECHA_BAJA IS NULL)
	INNER JOIN PERSONA P ON (P.ID_PERSONA = CP.ID_PERSONA AND P.FECHA_BAJA IS NULL)
	INNER JOIN TIPO_PERSONA TP ON (TP.ID_TIPO_PERSONA = P.ID_TIPO_PERSONA AND TP.FECHA_BAJA IS NULL) ;
